summaryrefslogtreecommitdiff
path: root/tools/release
diff options
context:
space:
mode:
authoretobi <git@e-tobi.net>2009-11-03 22:04:11 +0100
committeretobi <git@e-tobi.net>2009-11-03 22:18:04 +0100
commitccbbe046f0efb2c9a63e78d307f2c1b96c1c3e64 (patch)
tree499523f44682328545429f93c98d4421cbdc1356 /tools/release
parent5ae195f9b432f99a25b6dbaf155879ce9fd815c1 (diff)
downloadvdr-plugin-vodcatcher-master.tar.gz
vdr-plugin-vodcatcher-master.tar.bz2
added toolsHEADv0.2.2master
Diffstat (limited to 'tools/release')
-rwxr-xr-xtools/release33
1 files changed, 33 insertions, 0 deletions
diff --git a/tools/release b/tools/release
new file mode 100755
index 0000000..179525a
--- /dev/null
+++ b/tools/release
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+set -e
+
+# clean
+make clean
+
+if [ -n "`svn st`" ] ; then
+ echo "uncommited changes !!!"
+ exit 1
+fi
+
+CXXFLAGS="-O0 -fPIC -ggdb -Wall -Woverloaded-virtual"
+
+# compile and run test
+make CXXFLAGS="$CXXFLAGS" -s runtests
+
+# compile production code
+make CXXFLAGS="$CXXFLAGS" -s LIBDIR=. VDRDIR=/usr/include/vdr LOCALEDIR=/tmp/locales all
+
+# clean
+make clean
+
+# make distribution tarball
+make dist
+
+# read version
+VERSION=`grep 'static const char VERSION\[\] =' src/Version.h | awk '{ print $6 }' | sed -e 's/[";]//g'`
+
+# tag version
+echo "Tagging: $VERSION"
+svn cp -m "Releasing Vodcatcher $VERSION" svn+e-tobi://e-tobi.net/vodcatcher/trunk \
+ "svn+e-tobi://e-tobi.net/vodcatcher/tags/$VERSION"